XmCreateWorkArea(3)

NAME
XmCreateWorkArea — A function that creates a RowColumn WorkArea

SYNOPSIS

#include <Xm/RowColumn.h>
Widget XmCreateWorkArea(
Widget parent,
String name,
ArgList arglist,
Cardinal argcount);

DESCRIPTION

XmCreateWorkArea creates an instance of a RowColumn widget and returns the associated widget ID. The widget is created with XmNrowColumnType set to XmWORK_AREA.

parent
    Specifies the parent widget ID

name
    Specifies the name of the created widget

arglist
    Specifies the argument list

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist)

For a complete definition of RowColumn and its associated resources, see XmRowColumn(3).

RETURN

Returns the RowColumn widget ID.

RELATED

XmCreateRadioBox(3), XmCreateSimpleCheckBox(3), XmCreateSimpleRadioBox(3), XmRowColumn(3), XmVaCreateSimpleCheckBox(3), and XmVaCreateSimpleRadioBox(3).